{
  "criteria": {
    "broodweaver": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:husk",
              "nbt": "{Tags:[\"broodweaver\"]}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "shroudstalker": {
      "trigger": "minecraft:player_killed_entity",
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:phantom",
              "nbt": "{Tags:[\"shroudstalker\"]}"
            }
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "shroudstalker",
      "broodweaver"
    ]
  ],
    "rewards": {
    "function": "backrooms:killcheck/broodstalker"
  },
  "sends_telemetry_event": true
}